## libkf5eventviews 20.08.1

=== debian/changelog ===
libkf5eventviews (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:54 +0100

libkf5eventviews (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Refresh enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:19:15 +0100
