=== src/CMakeLists.txt ===
--- 
+++ 
@@ -69,7 +69,12 @@
 
 kconfig_add_kcfg_files(eventviews_LIB_SRCS prefs_base.kcfgc)
 
-ecm_qt_declare_logging_category(eventviews_LIB_SRCS HEADER calendarview_debug.h IDENTIFIER CALENDARVIEW_LOG CATEGORY_NAME org.kde.pim.calendarview)
+ecm_qt_declare_logging_category(eventviews_LIB_SRCS HEADER calendarview_debug.h
+        IDENTIFIER CALENDARVIEW_LOG
+        CATEGORY_NAME org.kde.pim.calendarview
+        OLD_CATEGORY_NAMES log_calendarview
+        DESCRIPTION "kdepim (eventviews)" EXPORT EVENTVIEWS)
+
 ki18n_wrap_ui(eventviews_LIB_SRCS
   agenda/timescaleedit_base.ui
 )
@@ -94,10 +99,11 @@
   KF5::IconThemes
   KF5::GuiAddons
   KF5::I18n
-  KF5::LibkdepimAkonadi
+  KF5::Libkdepim
   KF5::Codecs
   KGantt
   KF5::AkonadiWidgets
+  KF5::Contacts
 )
 
 target_include_directories(KF5EventViews INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/EventViews/;${KDE_INSTALL_INCLUDEDIR_KF5}/eventviews>")
@@ -227,5 +233,6 @@
 )
 
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
+ecm_qt_install_logging_categories(EXPORT EVENTVIEWS FILE eventviews.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 install(FILES agenda/calendardecoration.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
